Subject: Re: iproute2 regression -- ss -u returns an empty list

From: Mihai Moldovan <[email-masked]>
Date: Tue, 28 Apr 2015 06:33:18 +0200

On 28.04.2015 06:05 AM, Vadim Kochan wrote:> So by default ss prints socket with
CONNECTED state and even UDP can be
> in the CONNECTED state on the Linux,

UDP can be in a CONNECTED state... ooookay. That's probably a conntrack thing.

> so you can specify 'ss -ua' (may be
> some explanation should be added to the ss man page) which
> should print UDP sockets in the any state, AFAIK it was the default
> behaviour before my changes.

Could this please be reverted? It's breaking other stuff that uses ss.

Also: ss -lxua returns an empty list, too. Previously, the families seem to have
been OR'd, while they are now ANDed?

Mihai